/*
 * Copyright (c) Huawei Technologies Co., Ltd. 2020-2024. All rights reserved.
 */

#ifndef JAC_AP_INNO2LIDARSERVICE_INNO2LIDARSERVICE_COMMON_H
#define JAC_AP_INNO2LIDARSERVICE_INNO2LIDARSERVICE_COMMON_H

#include "ara/com/types.h"
#include "ara/com/init_config.h"
#include "impl_type_lidarpointcloudnew.h"
#include <cfloat>
#include <cmath>

namespace jac {
namespace ap {
namespace inno2lidarservice {

class Inno2LiDARService {
public:
    constexpr Inno2LiDARService() = default;
    constexpr static ara::com::ServiceIdentifierType ServiceIdentifier = ara::com::ServiceIdentifierType("/huawei/ap/Service/instance/Inno2LiDARService");
    constexpr static ara::com::ServiceVersionType ServiceVersion = ara::com::ServiceVersionType("1.1");
};
} // namespace inno2lidarservice
} // namespace ap
} // namespace jac

#endif // JAC_AP_INNO2LIDARSERVICE_INNO2LIDARSERVICE_COMMON_H
